﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace WebGraphic.Models
{
    public class Article
    {
        public int Id { get; set; }
        [Display(Name = "Název")]
        public string Title { get; set; }
        public string Detail { get; set; }
        [Display(Name = "Vytvořeno")]
        public DateTime ? Created { get; set; }
        [Display(Name = "Autor")]
        public string CreatedBy { get; set; }
        public int CategoryId { get; set; }
    }
}